# encoding: utf-8
require File.expand_path('../lib/fizzy/api/version', __FILE__)

Gem::Specification.new do |gem|
  gem.name          = 'fizzy-api'
  gem.version       = Fizzy::Api::VERSION
  gem.summary       = %q{API wrapper gem around Fizzy's Graph API}
  gem.description   = %q{Provides authenticated access to fizzy utilities}
  gem.license       = 'MIT'
  gem.authors       = ['Frank Blaauw', 'Ando Emerencia']
  gem.email         = ['f.j.blaauw@umcg.nl', 'ando.emerencia@gmail.com']
  gem.homepage      = 'http://github.com/roqua/fizzy_api'

  gem.files         = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  gem.executables   = gem.files.grep(%r{^bin/}).map { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.add_dependency 'httparty',                       '~> 0.15'
  gem.add_dependency 'active_interaction',             '~> 3.6'
  gem.add_dependency 'virtus',                         '~> 1.0'

  gem.add_development_dependency 'bundler',            '~> 1.16'
  gem.add_development_dependency 'rake',               '~> 12.3'
  gem.add_development_dependency 'rspec',              '~> 3.7'
  gem.add_development_dependency 'factory_bot_rails', '~> 4.8'
end
