# frozen_string_literal: true

require 'rspec'
require 'factory_bot_rails'
require 'fizzy-api'
require 'httparty'

include Fizzy::Api
include Fizzy::Api::Sessions
# include Fizzy::Api::Models

Dir[File.join(__dir__, 'support', '*.rb')].each { |f| require f }
Dir[File.join(__dir__, 'factories', '*.rb')].each { |f| require f }

RSpec.configure do |config|
  config.filter_run :focus
  config.run_all_when_everything_filtered = true
end

# I18n.load_path << Dir[File.join(File.expand_path(File.dirname(__FILE__)), 'support', '*.yml')]
